[SOLVED] upgrade from 7 to 8

Limoni dara

Member
May 26, 2021
17
1
8
Hello,

I have this warning message when i'm making the "pve7to8 --full" test before upgrade :

found ACL entry on '/' for '@PVEAdmin,name@pam,name2@pam' with role 'PVEAdmin' - this role will no longer have 'Permissions.Modify' after the upgrade

What does it mean exactly?

Thank you for your help

Dara
 
Hi,

this is change introduced in Proxmox VE 8.0 - you can find the full changelog here.

Now, this is the following change in detail:
Remove the Permission.Modify privilege from the PVESysAdmin and PVEAdmin roles and restrict it to the Administrator role. This reduces the chances of accidentally granting privilege modification privileges.

In essence, if you need the users to have the Permissions.Modify privilege (IOW, if they should be able to modify access permissions), you now need to grant them this privilege separately, in addition to the PVEAdmin role. If not, you can simply ignore the warning.

Hope this helps!
 
  • Like
Reactions: Limoni dara
Great!

Please just mark the thread as solved by editing the first post - there should be a dropdown near
the title field. This helps other people to more easily find this thread in the future, if they have the same question :)
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get yours easily in our online shop.

Buy now!